Subject: [PATCH v3 0/8] arm64: rockchip: Initial GeekBox enablement

From: [email-masked] (Giuseppe CAVALLARO)
Date: Wed, 9 Mar 2016 08:24:14 +0100

Hi Dinh

On 3/8/2016 4:45 PM, Dinh Nguyen wrote:
> On Tue, Mar 8, 2016 at 1:24 AM, Giuseppe CAVALLARO
> <[email-masked]> wrote:
>> Hi Dinh,
>>
>> On 3/8/2016 12:22 AM, Dinh Nguyen wrote:
>> [snip]
>>>
>>>
>>> I'm seeing the same issue on the SoCFPGA platform:
>>>
>>> libphy: PHY stmmac-0:ffffffff not found
>>> eth0: Could not attach to PHY
>>> stmmac_open: Cannot attach to PHY (error: -19)
>>>
>>> If I just revert:
>>>
>>>    "stmmac: Fix 'eth0: No PHY found' regression"
>>>
>>> then the issue goes away.
>>
>>
>> do you have this patch "stmmac: first frame prep at the end of xmit routine"
>> ? Or you just reverted
>>    "stmmac: Fix 'eth0: No PHY found' regression"
>
> I only reverted "stmmac: Fix 'eth0: No PHY found' regression". I do have the
> patch "stmmac: first frame prep at the end of the xmit routine", but I did not
> need to revert that patch.

thx for this input.

FYI, I am reworking the code to manage the mdio inside the driver so a
patch will come soon.

peppe

> Dinh